#!/usr/local/bin/perl -w

use HTML::Entities ();

&usage unless $ARGV[0];
$file = $ARGV[0];
$outfile = $file; $outfile =~ s/(.+)\.(.+)/$1.enc/g; ### get basename

open(HTML, "$file") || die("file error: $!");
open(OUT, ">$outfile") || die("outfile error: $!");

while($a = <HTML>) {

    $encoded = HTML::Entities::encode($a);
    print OUT $encoded;
}

close(OUT);
close(HTML);

sub usage {
  
  print("Usage: $0 <filename>\n");
  exit(1);

}
