#!/usr/local/bin/perl -w

use vars qw($opt_h);
use Getopt::Std;

$ping = '/sbin/ping';

getopt('h');

if($opt_h) {
    &ping_host($opt_h);
} else {
    &usage();
}

sub ping_host {

    my($host) = @_;

    open(PING, "$ping -c 5 $host |") || die("ping error: $!");
    @responses = <PING>;
    close(PING);

    foreach (@responses) {
	print $_;
    }

}

sub usage {
    print("Usage: $0 -h <hostname>\n");
    exit(0);
}
