#!/usr/local/bin/perl -w

use Net::SMTP;
use vars qw($opt_f $opt_r);
use Getopt::Std;

getopt('fr');

if($opt_f && $opt_r) {
    &mailer($opt_f, $opt_r);
} else {
    &usage();
}

sub mailer {

    my($from, $to) = @_;

    $mailhost = 'undertow.hacker.org';
    
    $smtp = Net::SMTP->new($mailhost);
    $smtp->mail($from);
    
    $smtp->to($to);
    
    $smtp->data();
    
    $smtp->datasend("To: $to\n");
    $smtp->datasend("\n");
    $smtp->datasend("A simple test message\n");
    
    $smtp->dataend();
    
    $smtp->quit;

}

sub usage {
    print("Usage: $0 -f <from> -r <recipient>\n");
    exit(0);
}
