#!/usr/local/bin/perl -w

# Script: phase2.pl
# Purpose: packs the left, center and right frames
#          adds temporary text so placement of the frames is obvious

use strict;
use Tk; 

my($main); # for main window
my($lt_frm, $ctr, $rt_frm); # for left, center and right frames

$main = new MainWindow;

$lt_frm = $main->Frame(-relief => 'raised', -borderwidth => 2);
$lt_frm->Label(-text => 'left side')->pack();
$lt_frm->pack(-side => 'left');

$ctr = $main->Frame(-relief => 'raised', -borderwidth => 2);
$ctr->Label(-text => 'center')->pack();
$ctr->pack(-side => 'left');

$rt_frm = $main->Frame(-relief => 'raised', -borderwidth => 2);
$rt_frm->Label(-text => 'right side')->pack();
$rt_frm->pack(-side => 'left');

# MAIN EVENT HERE
MainLoop;
