#!/usr/local/bin/perl -w

use strict;
use Tk; 

my($main, $top, $bottom);
my($label_text, $name_entry, $left_bt, $right_bt);

$main = new MainWindow;

### TOP HALF ###

### Widget label ###
$top = $main->Frame(); # create a new container for the top half

# Put label to the left of the text entry.
$label_text = $top->Label(-text => 'Enter your name: ');
$label_text->pack(-side => 'left');

# Place text entry after the label
$name_entry = $top->Entry(-relief => 'sunken', borderwidth => 2);
$name_entry->pack(-side => 'left');

$top->pack(-fill => 'both', 
	   -expand => 1); # show the top half of the widget

### BOTTOM HALF ###

$bottom = $main->Frame(); # create a new container for the bottom half

### Left Button ###
$left_bt = $bottom->Button(-text => 'Start',
			   -command => sub{exit}
			   );
$left_bt->pack(-side => 'left', fill => 'x', -expand => 1);

### Right Button ###
$right_bt = $bottom->Button(-text => 'Quit',
			    -command => sub{exit}
			    );
$right_bt->pack(-side => 'left', fill => 'x', -expand => 1);

$bottom->pack(-side => 'left', 
	      -fill => 'both', 
	      -expand => 1); # show the bottom half of the widget

# MAIN EVENT HERE
MainLoop;
