#!/usr/local/bin/perl

use CGI;

$homedir = '/home/nvp/ORA/Nutshell/scratch'; ### always constant
$basedir = '/home/nvp/ORA/Nutshell/scratch'; ### changes with $query->param
$password = 'admin'; ### hard-coded password -> a bad idea.

$query = new CGI;
print $query->header;
print $query->start_html("Administrator's Test Form");
print "<H1>Administrator's Test Form</H1>\n";
&print_prompt($query);
&do_work($query);
&print_tail;
print $query->end_html;

sub print_prompt {
    my($query) = @_;

    print $query->startform;
    print "<EM>Admin password: </EM>";

    print $query->password_field('password');

    if($query->param('directory')) {
	$basedir = $query->param('directory');
    }
    if ((stat($query->param('directory')))[1] eq (stat($homedir))[1]) {
	$basedir = $homedir;
    }

    print "<P><EM>Base Directory: </EM>  ";
    print $query->popup_menu(-name=>'directory',
			     -values=>['', &dir_entries($basedir, 'dir')]);

    if($query->param('files')) {
	print("<BR><B>Deleted ",$query->param('files'),".</B><BR>\n");
	unlink($query->param('files'));
    }

    print "<P><EM>Files: </EM>  ";
    print $query->popup_menu(-name=>'files',
			     -values=>['', &dir_entries($basedir, 'file')]);

    print $query->hidden('Base Directory', $basedir);
    print $query->hidden('Home Directory', $homedir);

    print "<P>",$query->reset;
    print $query->submit('Action','FileSystem');
    print $query->endform;
    print "<HR>\n";
}

sub do_work {
    my($query) = @_;
    my(@values,$key);
    print "<H2>Current settings</H2>";

    if($query->param('password') eq $password) {
	print"<B>Logged in.</B><BR>\n";
    } elsif($query->param('password') eq ''
	    && $ENV{'REQUEST_METHOD'} eq 'GET') {
	print("<B>Not logged in.</B><BR>\n");
    } else {
	print"<B>Login Failed.</B><BR>\n";
    }

    foreach $key ($query->param) {	
	next if $query->param($key) eq 'admin';
	next if $key eq 'password';
	print "<STRONG>$key</STRONG> -> ";
	@values = $query->param($key);
	print join(``, '',@values),"<BR>\n";
    }

}

sub print_tail {
    print <<END;
    <HR>
	<ADDRESS>Nathan V. Patwardhan</ADDRESS><BR>
	    <A HREF=``/''>Home Page</A>
END
		
}


sub dir_entries {

    my($dirname, $type) = @_;
    my(@dirs, @files);
    
    chdir($dirname);
    opendir(DIR, "$dirname") || die("dir error: $!");
    @entries = sort(readdir(DIR));
    closedir(DIR);
    
    foreach $entry (@entries) {

	next if $entry eq '.';

	if ((stat($dirname))[1] eq (stat($homedir))[1]) {
	    next if $entry eq '..';
	}
	
	if(-d "$entry") {
	    $entry = $basedir."/".$entry;
	    push(@dirs, $entry);
	} else {
	    $entry = $basedir."/".$entry;
	    push(@files, $entry);
	}

    }

    if($type eq 'dir') {
	return(@dirs);
    } else {
	return(@files);
    }

}
