#!/usr/local/bin/perl -w

use strict;
use Getopt::Long;

my($mailer, $recip, $subj);

$mailer = '/usr/sbin/sendmail';

GetOptions('to=s', \$recip, 'subj=s', \$subj);

if($recip && $subj) {
    open(MAILER, "| ".$mailer." -t ".$recip) 
	or die("mailer error: $!");
    print MAILER "Subject: ".$subj."\n\n";
    while(<>) {
	print MAILER $_;
    }
    close(MAILER);
} else {
    usage();
}

sub usage {
    print("Usage: $0 -to <recipient> -subj <subject> <filename>\n");
    exit(0);
}

 
